# Uses of Interface
org.eclipse.debug.core.model.IMemoryBlock

Packages that use IMemoryBlock
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.

## Uses of IMemoryBlock in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return IMemoryBlock
Modifier and Type
Method
Description
`IMemoryBlock[]`
IMemoryBlockManager.`getMemoryBlocks()`
Returns all registered memory blocks.
`IMemoryBlock[]`
IMemoryBlockManager.`getMemoryBlocks(IDebugTarget debugTarget)`
Returns all registered memory blocks associated with the given debug target.
`IMemoryBlock[]`
IMemoryBlockManager.`getMemoryBlocks(IMemoryBlockRetrieval source)`
Returns all registered memory blocks that originated from the given memory retrieval source.
Methods in org.eclipse.debug.core with parameters of type IMemoryBlock
Modifier and Type
Method
Description
`void`
IMemoryBlockManager.`addMemoryBlocks(IMemoryBlock[] memoryBlocks)`
Adds the given memory blocks to the memory block manager.
`void`
IMemoryBlockListener.`memoryBlocksAdded(IMemoryBlock[] memory)`
Notification the given memory blocks have been added to the memory block manager.
`void`
IMemoryBlockListener.`memoryBlocksRemoved(IMemoryBlock[] memory)`
Notification the given memory blocks have been removed from the memory block manager.
`void`
IMemoryBlockManager.`removeMemoryBlocks(IMemoryBlock[] memoryBlocks)`
Removes the given memory blocks from the memory block manager.

## Uses of IMemoryBlock in org.eclipse.debug.core.model

Subinterfaces of IMemoryBlock in org.eclipse.debug.core.model
Modifier and Type
Interface
Description
`interface`
`IMemoryBlockExtension`
Extensions to `IMemoryBlock`.
Methods in org.eclipse.debug.core.model that return IMemoryBlock
Modifier and Type
Method
Description
`IMemoryBlock`
IMemoryBlockRetrieval.`getMemoryBlock(long startAddress, long length)`
Returns a memory block that starts at the specified memory address, with the specified length.

## Uses of IMemoryBlock in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return IMemoryBlock
Modifier and Type
Method
Description
`IMemoryBlock`
AbstractMemoryRendering.`getMemoryBlock()`
`IMemoryBlock`
IMemoryRendering.`getMemoryBlock()`
Returns the memory block displayed by this rendering.
Methods in org.eclipse.debug.ui.memory with parameters of type IMemoryBlock
Modifier and Type
Method
Description
`String[]`
IMemoryBlockTablePresentation.`getColumnLabels(IMemoryBlock blk, int bytesPerLine, int numColumns)`
Returns a collection of labels to head columns in a `AbstractTableRendering` rendering, or `null` if default labels should be used.
`IMemoryRenderingType[]`
IMemoryRenderingBindingsProvider.`getDefaultRenderingTypes(IMemoryBlock block)`
Returns default rendering types bound to the given memory block, possibly empty.
`IMemoryRenderingType`
IMemoryRenderingBindingsProvider.`getPrimaryRenderingType(IMemoryBlock block)`
Returns the primary rendering type bound to the given memory block, or `null` if none.
`Object`
IMemoryRenderingSynchronizationService.`getProperty(IMemoryBlock block, String property)`
Returns the current value of the specified property for the given memory block, or `null` if none.
`IMemoryRenderingType[]`
IMemoryRenderingBindingsProvider.`getRenderingTypes(IMemoryBlock block)`
Returns all rendering types bound to the given memory block.
`String`
IMemoryBlockTablePresentation.`getRowLabel(IMemoryBlock blk, BigInteger address)`
Renders and returns a label for a row starting at the given address within the given memory block, or `null` if default rendering should be used.
`void`
AbstractMemoryRendering.`init(IMemoryRenderingContainer container, IMemoryBlock block)`
`void`
IMemoryRendering.`init(IMemoryRenderingContainer container, IMemoryBlock block)`
Initializes this rendering to be hosted in the given container, displaying the given memory block.